org.glassfish.jersey.server

## Enum AsyncContext.State

- java.lang.Object
- - java.lang.Enum<AsyncContext.State>
  - - org.glassfish.jersey.server.AsyncContext.State

All Implemented Interfaces:
  Serializable, Comparable<AsyncContext.State>

Enclosing interface:
  AsyncContext

    public static enum AsyncContext.State
    extends Enum<AsyncContext.State>

Asynchronous processing context state.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPLETED` Indicates the processing represented by this asynchronous processing context has been completed.
`RESUMED` Indicates the asynchronous processing context has been resumed.
`RUNNING` Indicates the asynchronous processing context is running.
`SUSPENDED` Indicates the asynchronous processing context has been suspended.

### Method Summary

All Methods Static Methods Concrete Methods
`static AsyncContext.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AsyncContext.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNNING

    public static final AsyncContext.State RUNNING

Indicates the asynchronous processing context is running. This is a default state the processing context is in case the processing execution flow has not been explicitly modified (yet).

#### SUSPENDED

    public static final AsyncContext.State SUSPENDED

Indicates the asynchronous processing context has been suspended.

See Also:
  `AsyncContext.suspend()`

#### RESUMED

    public static final AsyncContext.State RESUMED

Indicates the asynchronous processing context has been resumed.

#### COMPLETED

    public static final AsyncContext.State COMPLETED

Indicates the processing represented by this asynchronous processing context has been completed.

### Method Detail

#### values

    public static AsyncContext.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AsyncContext.State c : AsyncContext.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AsyncContext.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null